commit:     67b53caae39695852bb3332680262b78f18e5244
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 14:06:43 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 14:10:14 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67b53caa

dev-python/spur: update EAPI 7 -> 8, pep517, add py3_{10,11}, nose2pytest

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/spur/Manifest              |  1 +
 dev-python/spur/spur-0.3.22-r1.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/spur/Manifest b/dev-python/spur/Manifest
index 8ffdb4654927..d2a021e7c22e 100644
--- a/dev-python/spur/Manifest
+++ b/dev-python/spur/Manifest
@@ -1 +1,2 @@
+DIST spur-0.3.22-nose2pytest.diff 31953 BLAKE2B 
6ff1ab74215df036101720ca7b1ed5c7f0f9e6dc000a55175da85024d771354cad33d967c7d5ce63bf47dc2009d82147d3da8091a8b605176040f1cef274429e
 SHA512 
ed8617021fe3ea43d8e53dc601b3778026f20e472e7bea2ee9a7565ccc4568a29cb669d7892cb0e16afeb64cb04d0f3973b85a151b20e94ef7b7df4210b17f9d
 DIST spur.py-0.3.22.gh.tar.gz 17760 BLAKE2B 
676484e73fa38ebcd3bcc2ace21853590b652d0ec2dc31f7635a55a8bbb213e559fbdd7b70e545091e7e28e6000862ef45eba748e13c546b765756b41c352028
 SHA512 
36518a080d3fff97fdab5af8e7e3045c58ad6b1acad9fb79e11da688d484565ee4d50868f3c3ee10299e135f2c01bd35348256df7bb1b4f6200aa175cafc7f0a

diff --git a/dev-python/spur/spur-0.3.22-r1.ebuild 
b/dev-python/spur/spur-0.3.22-r1.ebuild
new file mode 100644
index 000000000000..3ae202674b5d
--- /dev/null
+++ b/dev-python/spur/spur-0.3.22-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+MY_P=spur.py-${PV}
+DESCRIPTION="Run commands locally or over SSH using the same interface"
+HOMEPAGE="https://github.com/mwilliamson/spur.py";
+SRC_URI="
+       https://github.com/mwilliamson/spur.py/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+       https://dev.gentoo.org/~andrewammerlaan/${P}-nose2pytest.diff
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/paramiko[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+       # https://github.com/mwilliamson/spur.py/pull/95
+       "${DISTDIR}/${P}-nose2pytest.diff"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # TODO: set up a local SSH server?
+       rm tests/{test_ssh,testing}.py || die
+}

Reply via email to